#include <iostream>
#include "ctrl_machine.hpp"

int main( int argc, char* argv[])
{

	Controller myController;
	myController.initiate();
	
	std::cout << "Initial airflow " << myController.getAirFlow() << std::endl;
	
	std::cout << std::endl << "Activating Switch" << std::endl;
	myController.toggleSwitch();
	
	for( double ii = 100.0; ii <= 200.0; ii += 20 )
	{
		myController.setTemp(ii);
		std::cout << "Temp: " << ii << "\t Airflow: " << myController.getAirFlow()
				  << std::endl;
		
	}
	
	std::cout << std::endl << "Activating Switch" << std::endl;
	myController.toggleSwitch();

	std::cout << std::endl << "Activating Switch" << std::endl;
	myController.toggleSwitch();
	
	for( double ii = 200.0; ii >= 100.0; ii -= 20 )
	{
		myController.setTemp(ii);
		std::cout << "Temp: " << ii << "\t Airflow: " << myController.getAirFlow()
				  << std::endl;
	}

	return 0;
}
